org.apache.lucene.facet.taxonomy

## Class TaxonomyFacetSumValueSource

- java.lang.Object
- - org.apache.lucene.facet.Facets
  - - org.apache.lucene.facet.taxonomy.TaxonomyFacets
    - - org.apache.lucene.facet.taxonomy.FloatTaxonomyFacets
      - - org.apache.lucene.facet.taxonomy.TaxonomyFacetSumValueSource

    public class TaxonomyFacetSumValueSource
    extends FloatTaxonomyFacets

Aggregates sum of values from `DoubleValues.doubleValue()`, for each facet label.

WARNING: This API is experimental and might change in incompatible ways in the next release.

### Field Summary

### Fields inherited from class org.apache.lucene.facet.taxonomy.FloatTaxonomyFacets

`values`

### Fields inherited from class org.apache.lucene.facet.taxonomy.TaxonomyFacets

`config, indexFieldName, parents, taxoReader`

### Constructor Summary

Constructors
Constructor and Description
`TaxonomyFacetSumValueSource(OrdinalsReader ordinalsReader, TaxonomyReader taxoReader, FacetsConfig config, FacetsCollector fc, DoubleValuesSource vs)` Aggreggates float facet values from the provided `DoubleValuesSource`, and pulls ordinals from the provided `OrdinalsReader`.
`TaxonomyFacetSumValueSource(TaxonomyReader taxoReader, FacetsConfig config, FacetsCollector fc, DoubleValuesSource valueSource)` Aggreggates double facet values from the provided `DoubleValuesSource`, pulling ordinals using `DocValuesOrdinalsReader` against the default indexed facet field `FacetsConfig.DEFAULT_INDEX_FIELD_NAME`.

### Method Summary

### Methods inherited from class org.apache.lucene.facet.taxonomy.FloatTaxonomyFacets

`getSpecificValue, getTopChildren, rollup`

### Methods inherited from class org.apache.lucene.facet.taxonomy.TaxonomyFacets

`childrenLoaded, getAllDims, getChildren, getSiblings, siblingsLoaded, verifyDim`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TaxonomyFacetSumValueSource

    public TaxonomyFacetSumValueSource(TaxonomyReader taxoReader,
                                       FacetsConfig config,
                                       FacetsCollector fc,
                                       DoubleValuesSource valueSource)
                                throws IOException

Aggreggates double facet values from the provided `DoubleValuesSource`, pulling ordinals using `DocValuesOrdinalsReader` against the default indexed facet field `FacetsConfig.DEFAULT_INDEX_FIELD_NAME`.

Throws:
  `IOException`

#### TaxonomyFacetSumValueSource

    public TaxonomyFacetSumValueSource(OrdinalsReader ordinalsReader,
                                       TaxonomyReader taxoReader,
                                       FacetsConfig config,
                                       FacetsCollector fc,
                                       DoubleValuesSource vs)
                                throws IOException

Aggreggates float facet values from the provided `DoubleValuesSource`, and pulls ordinals from the provided `OrdinalsReader`.

Throws:
  `IOException`